Bug 246458 - RAID1 is created half-sized on one disk, instead two.
RAID1 is created half-sized on one disk, instead two.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-02 09:23 EDT by Miroslav Suchý
Modified: 2016-02-08 08:39 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 08:55:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2007-07-02 09:23:21 EDT
Description of problem:
When you choose during installation to create RAID1 over two partition, anaconda
 split first partition into two and create RAID there.

Version-Release number of selected component (if applicable):
RHEL5

How reproducible:
always

Steps to Reproduce:
1. in wizard, go to the until create custom disk layout.
2. create 8GB partition in /dev/sda (sda1)
3. create 8GB partition in /dev/sdb (sdb2)
4. click on RAID button and make RAID1 over sda1
5. chose options: mount as /, members sda1 and sdb1, format partition
6. click OK.
  
Actual results:
4GB sda1 and 4GB sda2 partition appears. RAID1 is over sda1 and sda2

Expected results:
8GB sda1, no sda2. RAID1 is over sda1 and sdb1
Comment 1 Chris Lumens 2007-08-23 16:30:14 EDT
Can you please explain step 4 more carefully?  After you create two partitions
by clicking "New" and selecting the "software RAID" filesystem type, you then
click on the "RAID" button.  On this screen, are you then selecting "Create a
software RAID partition", "Create a RAID device", or "Clone a drive to create a
RAID device"?
Comment 2 Miroslav Suchý 2007-10-11 08:55:31 EDT
I choosed "Create a RAID device". 
I wanted to documented by series of screenshot, but I can not reproduce it
anymore. Therefore I'm closing it as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.